package com.ruoyi.project.cui.service;

import java.util.List;
import com.ruoyi.project.cui.domain.TProblems;

/**
 * CUI问题整改跟踪清单Service接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface ITProblemsService 
{
    /**
     * 查询CUI问题整改跟踪清单
     * 
     * @param id CUI问题整改跟踪清单ID
     * @return CUI问题整改跟踪清单
     */
    public TProblems selectTProblemsById(Long id);

    /**
     * 查询CUI问题整改跟踪清单列表
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return CUI问题整改跟踪清单集合
     */
    public List<TProblems> selectTProblemsList(TProblems tProblems);

    /**
     * 新增CUI问题整改跟踪清单
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    public int insertTProblems(TProblems tProblems);

    /**
     * 修改CUI问题整改跟踪清单
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    public int updateTProblems(TProblems tProblems);

    /**
     * 批量删除CUI问题整改跟踪清单
     * 
     * @param ids 需要删除的CUI问题整改跟踪清单ID
     * @return 结果
     */
    public int deleteTProblemsByIds(Long[] ids);

    /**
     * 删除CUI问题整改跟踪清单信息
     * 
     * @param id CUI问题整改跟踪清单ID
     * @return 结果
     */
    public int deleteTProblemsById(Long id);
}
